Subject: Re: using the little endian bit 4xx mmu

From: Ralph Blach <[email-masked]>
Date: Fri, 24 Aug 2001 06:41:45 -0400

Dan,

Because its there, and its been hacked in here and the people here have
found it VERY useful and convienent.  4xx specific or not, the people
found it extremely convienent.

Chip

Dan Malek wrote:
>
> "Marti, Felix" wrote:
> >
> > I hacked it in a few hours:
> > in arch/ppc/kernel/head_4xx.S
>
> Ugh....we have discussed this in the past.  What is the advantage
> of using this feature?  All of the existing drivers and I/O macros
> are designed to handle mixing of endian modes depending upon the
> processor and I/O device.  All this does is complicate a standard
> set of programming interfaces that everyone expects to work as they
> have in the past.
>
> The ability to set a feature flag in the PTE and transfer that to
> the TLB isn't a solution to anything.  You are going to have to
> rewrite all of the standard functions, macros, and device drivers
> to utilize this feature, and we haven't seen any benefit to doing this.
>
>         -- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/